using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Special
{
    [Description("特殊号码管理")]
    public class SpecialNumber : CreationEntity
    {
        /// <summary>
        /// 电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "电话号码")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注")]
        public string? Notes { get; set; }

        /// <summary>
        /// 政治身份ID
        /// </summary>
        [SugarColumn(ColumnDescription = "政治身份ID")]
        public string? PoliticalIdentityValue { get; set; }

        /// <summary>
        /// 政治身份
        /// </summary>
        [SugarColumn(ColumnDescription = "政治身份")]
        public string? PoliticalIdentityName { get; set; }
    }
}
